<div [id]="media.id + '-media-card'" [matRippleTrigger]="trigger" matRipple>
  <mat-card [style.width]="width + 'px'">
    <mat-card-header>
      <div class="example-header-image" mat-card-avatar></div>
      <mat-card-title>Shiba Inu</mat-card-title>
      <mat-card-subtitle>Dog Breed</mat-card-subtitle>
    </mat-card-header>

    <img #trigger (click)="openModal()" [alt]="media.id" [src]="media.displayUrl" mat-card-image matRipple>

    <mat-card-content>
      <mat-chip-list *ngIf="media?.tags" aria-label="Fish selection">
        <mat-chip *ngFor="let tag of media.tags">{{tag}}</mat-chip>
      </mat-chip-list>

      <p *ngIf="media.description">{{media.description}}</p>
    </mat-card-content>

    <mat-card-actions>
      <button mat-icon-button>
        <mat-icon aria-hidden="false" aria-label="Add comment">comment</mat-icon>
      </button>

      <span class="spacer"></span>
      <button mat-icon-button>
        <mat-icon aria-hidden="false" aria-label="Add to favorites">favorite_border</mat-icon>
      </button>
      <button [matMenuTriggerFor]="menu" mat-icon-button>
        <mat-icon aria-hidden="false" aria-label="Share photo">more_vert</mat-icon>
      </button>

      <mat-menu #menu="matMenu">
        <button mat-menu-item>
          <mat-icon aria-hidden="false" aria-label="Report button">share</mat-icon>
          <span>Share</span>
        </button>
        <button mat-menu-item>
          <mat-icon aria-hidden="false" aria-label="Report button">warning</mat-icon>
          <span>Report</span>
        </button>
      </mat-menu>

    </mat-card-actions>
  </mat-card>
</div>
